openSUSE Security Update : tcmu-runner (openSUSE-2017-919)

High Nessus Plugin ID 102470


The remote openSUSE host is missing a security update.


This update for tcmu-runner fixes the following issues :

- qcow handler opens up an information leak via the CheckConfig D-Bus method (bsc#1049491)

- glfs handler allows local DoS via crafted CheckConfig strings (bsc#1049485)

- UnregisterHandler dbus method in tcmu-runner daemon for non-existing handler causes denial of service (bsc#1049488)

- UnregisterHandler D-Bus method in tcmu-runner daemon for internal handler causes denial of service (bsc#1049489)

- Memory leaks can be triggered in tcmu-runner daemon by calling D-Bus method for (Un)RegisterHandler (bsc#1049490)

This update was imported from the SUSE:SLE-12-SP3:Update update project.


Update the affected tcmu-runner packages.

See Also

Plugin Details

Severity: High

ID: 102470

File Name: openSUSE-2017-919.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2017/08/14

Modified: 2017/08/14

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libtcmu-devel, p-cpe:/a:novell:opensuse:libtcmu1, p-cpe:/a:novell:opensuse:libtcmu1-debuginfo, p-cpe:/a:novell:opensuse:tcmu-runner, p-cpe:/a:novell:opensuse:tcmu-runner-debuginfo, p-cpe:/a:novell:opensuse:tcmu-runner-debugsource, p-cpe:/a:novell:opensuse:tcmu-runner-devel, p-cpe:/a:novell:opensuse:tcmu-runner-handler-rbd, p-cpe:/a:novell:opensuse:tcmu-runner-handler-rbd-debuginfo, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/08/11